Changelog for: GameSpy Presence & Messaging SDK
--------------------------------------------------------

DATE        VERSION  BY   TYPE     DESCRIPTION
----------  -------  ---  -------  ---------------------------------------------------------
12-12-2007  1.13.00  RMV  RELEASE  Released to Developer Site
12-12-2007  1.12.15  RMV  OTHER    Updated gptest app to include block list functions and cleaned up buddy messaging
12-05-2007  1.12.14  SN   OTHER    Added test for searching unique nickes across namespaces
11-27-2007  1.12.13  SAH  CLEANUP  Moved extern "c" block below includes to prevent linker errors
11-19-2007  1.12.12  SAH  OTHER    Marked gpFindPlayers and gpSetInvitableGames as DEPRECATED
                     SAH  CLEANUP  Removed gpFindPlayers and gpSetInvitableGames from MFC app
11-13-2007  1.12.11  SAH  OTHER    Modified GP MFC App to support Blocked Lists
                     SAH  FIX      Fixed bug where blocked list was deleted from disabling info cache
11-12-2007  1.12.10  MWJ  FEATURE  Added/updated Add/Remove Block List error messages
11-09-2007  1.12.09  SAH  CLEANUP  Switched to using a darray for NP Id lookup transactions
                     SAH  FIX      Fixed NP Block List Add to keep trying if NP returns busy
11-08-2007  1.12.08  SAH  CLEANUP  Removed gpGetBlockedList to replace with more consistent functions
                     SAH  FEATURE  Added gpGetNumBlocked, gpGetBlockedProfile, gpIsBlocked
11-05-2007  1.12.07  SAH  FEATURE  Added NP Block List mirroring for gpAddtoBlockedList
                     SAH  FEATURE  Added initial support for PS3 NP Block List Syncing
10-30-2007  1.12.06  SAH  FEATURE  Added BlockedList support and buddy/block list retrieval upon login
                     SAH  FIX      Fixed bug causing infoCache to not save when disconnect called before destroy
                     SAH  FIX      Fixed memory leak from infoCacheBuddyOnly not freeing up status data
10-23-2007  1.12.05  SAH  FIX      Fixed NP Sync so it only destroys NP if GP was the one that initialized it
10-11-2007  1.12.04  SAH  FIX      Fixed gpiPS3.c to use gpSendBuddyRequest to remove errors using GSI_UNICODE
09-14-2007  1.12.03  SAH  FEATURE  Added initial support for PS3 NP Buddy Syncing
                     SAH  FIX      Fixed two bugs in gpSearch.c - searches causing assert and missing unicode support
09-11-2007  1.12.02  DES  FEATURE  Added support for a search by uniquenick across multiple namespaces
08-23-2007  1.12.01  SAH  OTHER    Added gpRegisterCdKey to gptest MFC sample
08-06-2007  1.12.00  RMV  RELEASE  Released to Developer Site
07-27-2007  1.11.03  BED  FEATURE  Added gpRegisterCdKey
07-19-2007  1.11.02  SAH  FIX      Added explicit typecasts to remove compiler warnings, Fixed DS project
07-10-2007  1.11.01  RMV  FIX      Fixed gptest/gptestc Project files to get rid of Unicode warnings
                     RMV  FIX      Fixed memory allocation to prevent possible use of uninitialized pointer in gp.c
06-07-2007  1.11.00  SN   RELEASE  Releasing to developer site
06-07-2007  1.11.00  SN   FEATURE  Added newer style buddy status info 
                     SN   FEATURE  Replaced old TCP peer to peer code with UDP Layer
                     SN   FEATURE  Added keys/values pair feature
05-22-2007  1.10.05  DES  FEATURE  Added gpGetInfoNoWait
05-17-2007  1.10.04  DES  FIX      Added a few explicit casts to avoid warnings
02-21-2007  1.10.03  SN   FEATURE  Added a version of get reverse buddies that allows a specified list of profiles to be passed in.
01-16-2007  1.10.02  DES  FEATURE  Added X360 support
12-21-2006  1.10.01  DES  FEATURE  Added initial support for quiet mode
12-15-2006  1.10.00  MJW  RELEASE  Released to Developer Site
12-13-2006  1.09.69  SN   FIX      Removed connection state change to allow the internal disconnect function to change the state
10-05-2006  1.09.68  SAH  FIX      Updated MacOSX Makefile
09-28-2006  1.09.67  SAH  FIX      Fixed PS3 project to work with PS3 095.00x SDK; changed included libaries in linker input.
08-07-2006  1.09.66  SAH  FIX      fixed gpGetBuddyStatus to set 'status' output to '\0' if it encounters NULL data
08-04-2006  1.09.65  SAH  OTHER    Changed ctime/gmtime calls to gsi time wrapper calls
08-03-2006  1.09.64  DDW  FEATURE  Added support for automatic login ticket renewal
08-02-2006  1.09.63  DDW  OTHER    Added productID to GUI for gptest sample
08-02-2006  1.09.62  SAH  RELEASE  Releasing to developer site
07-31-2006  1.09.62  SAH  FIX      Fixed PS3 project file - added post-build step to create *.SELF for execution
07-25-2006  1.09.61  SAH  FIX      Fixed NITRO project, include for crt0.o now above others so it add correct file
07-24-2006  1.09.60  SAH  FIX      Removed #ifdef _PS3 for socket calls (changed platformSocket.h to typecast calls)
07-06-2006  1.09.59  SAH  FIX      Fixed PSP project file to not explicitly include the PSP linker file
06-30-2006  1.09.58  SAH  FIX      Fixed NITRO project & linker command file (to work with CW 2.0/NitroSDK 3.1)
                     SAH  FIX      Fixed Linux makefile
06-27-2006  1.09.57  SAH  FIX      Removed unused variables in gpiInfo.c and gpiSearch.c
06-26-2006  1.09.56  BMS  FEATURE  Passwords no longer go over the wire in cleartext
05-31-2006  1.09.55  SAH  RELEASE  Releasing to developer site
                     SAH  FIX	   Fixed Linux makefile
05-30-2006  1.09.54  SAH  FIX      Fixed PS3 project to work with newest PS3(084_001 SDK) release
05-25-2006  1.09.53  SAH  FIX      Added PS3 required typecasts
                     SAH  FIX      Changed PSP project warning levels
                     SAH  FIX      Fixed PS3 project to compile with 084_001 SDK
05-22-2006  1.09.52  SAH  FIX      Added GSI_UNUSED calls to get rid of codewarrior warnings
05-19-2006  1.09.51  SAH  FIX      Added gsTestMain.c to nitro CodeWarrior project
05-15-2006  1.09.50  SAH  FIX      Added "PS3 Release" configuration to project
05-08-2006  1.09.49  SAH  FIX      Changed some sprintf calls on empty string to strcpy
04-27-2006  1.09.48  BMS  FEATURE  Updates to Fedreg implementation: login and profile update also needed partner ID.
04-25-2006  1.09.47  SAH  RELEASE  Releasing to developer site
04-24-2006  1.09.47  SAH  FIX      Fixed Nitro project files to work on build machine
04-13-2006  1.09.46  SAH  FIX      Replaced all (rcode == SOCKET_ERROR) w/ (gsiSocketIsError(rcode))
04-12-2006  1.09.45  BMS  FEATURE  Updates for Fedreg.  Includes new partner ID parameter on gpInitialize.
02-27-2006  1.09.44  SN   FIX      Added check to determine if hard coded IP was used for connection manager
02-03-2006  1.09.43  SN   FIX      Added checks for character string limits within gpConnectNewUser
01-26-2006  1.09.42  SN   FIX      Added psp prodg solution and project to sgv
01-19-2006  1.09.42  RH   FIX      Changed gpSendBuddyUTM message type from char * to gsi_char *.
12-16-2005  1.09.41  SN   OTHER    Cleaned up projects to missing common code if any
12-12-2005  1.09.40  SN   FIX      Removed connection closed check, eliminating false timeouts
11-18-2005  1.09.40  SN   FEATURE  Added timeout errors to searches which are non-fatal.
11-17-2005  1.09.39  DES  FIX      Updated Nitro Makefile.
                     DES  FIX      Fixed Unicode incompatibility in gptestc.
11-14-2005  1.09.38  DES  FIX      Updated the OSX Makefile.
                     DES  FEATURE  Added support for GSI_DOMAIN_NAME
11-03-2005  1.09.37  BED  FEATURE  Added ps3 makefile.
09-21-2005  1.09.36  DES  FEATURE  Updated DS support
                     DES  FEATURE  Updated to use the common debug code
                     DES  FIX      All connection operation errors are now fatal errors
                     DES  CLEANUP  Cleaned up gptestc and added a firewall option
09-16-2005  1.09.35  BED  FEATURE  Added a callback for buddy revoke notifications.
08-19-2005  1.09.34  BED  FIX      Update linux makefile
08-11-2005  1.09.33  BED  FEATURE  Added support for Buddy UTMs (part one, text messages on separate channel)
07-28-2005  1.09.32  SN   RELEASE  Releasing to developer site.
07-27-2005  1.09.32  SN   FEATURE  Added support for new style responses for both gpdeleteprofile and buddy authorizations.
06-03-2005  1.09.31  SN   RELEASE  Releasing to developer site.
05-26-2005  1.09.31  SN   FIX      Fixed the setinfo function that sent passwords in clear text.  Now passwords are encrypted for security purposes.
05-05-2005  1.09.30  BED  FIX      Updated projects to use new common folder
04-29-2005  1.09.29  SN   OTHER    Created a Visual Studio .NET project
04-28-2005  1.09.29  SN   RELEASE  Releasing to developer site.
04-27-2005  1.09.29  DES  RELEASE  Limited release to Nintendo DS developers.
04-27-2005  1.09.29  DES  CLEANUP  Extra printfs in gptestc.
                     DES  FEATURE  Always assume a firewall on the DS.
04-25-2005  1.09.28  DES  FIX      Cleaned up a Nitro warning.
                     DES  CLEANUP  General cleanup of gptestc.
                     DES  CLEANUP  Disable Win32 linker warning.
04-04-2005  1.09.27  SN   RELEASE  Releasing to developer site.
04-01-2005  1.09.27  DDW  FIX      Use gsi_time in transfer file structure to match nonport definition
03-30-2005  1.09.26  SN   FIX      Changed size of unique nick to match DB size plus null character
03-30-2005  1.09.25  SN   FIX      Fixed case where time was of type long instead of 32 bit int
03-28-2005  1.09.24  SN   FIX      Fixed bug with all transfers being deleted when deleting only those associated with a single peer
03-18-2005  1.09.24  DES  FIX      Fixed typo in parameter explanation.
03-14-2005  1.09.23  DES  FEATURE  Nintendo DS support
12-28-2004  1.09.22  SN   FIX      Added const qualifiers to function parameters not modified
09-24-2004  1.09.21  BED  FIX      SDK now allows you to delete buddies that it doesn't have a status for.
09-16-2004  1.09.20  SN   RELEASE  Releasing to developer site.
08-31-2004  1.09.20  SN   FIX      Added call to reset the GP internal connection structure fixing memory leaks
08-27-2004  1.09.19  DES  CLEANUP  Removed MacOS style includes
                     DES  CLEANUP  Removed headers already included in nonport.h
                     XGD  bug in caching profile marketing info
                     DES  CLEANUP  Updated Win32 project configurations
                     DES  CLEANUP  Fixed warnings under OSX
                     DES  CLEANUP  Updated OSX Makefile
08-05-2004  1.09.18  SN   RELEASE  Releasing to developer site.
07-19-2004  1.09.18  SN   FIX      Updated code with explicit casts to remove implicit cast error 
                                   when compiling at highest level and warnings treated as errors.
06-25-2004  1.09.18  BED  FEATURE  Added location string to gpInvitePlayer
06-24-2004  1.09.17  BED  FEATURE  Now encrypting password and cdkey for gpNewUser
06-18-2004  1.09.16  BED  RELEASE  Releasing to developer site.
06-17-2004  1.09.16  DDW  FEATURE  Added login ticket support
06-16-2004  1.09.15  BED  FEATURE  Added PS2 Insock support
05-20-2004  1.09.14  BED  RELEASE  Releasing to developer site.
05-20-2004  1.09.14  BED  FEATURE  Added state GP_INFO_CACHING_BUDDY_ONLY.
04-05-2004  1.09.13  BED  FIX      Fixed small allocation bug in Unicode interface.
03-30-2004  1.09.12  BED  FIX      Removed misc compiler warnings for VC7 strict compiling.
01-10-2004  1.09.11  BED  FIX      Fixed typo'd length for email addresses in gpNewUser.
01-08-2004  1.09.10  BED  FIX      ProfileID was not initialized when receiving a buddy message in UNICODE mode.
01-03-2004  1.09.09  DES  FIX      Receive and send buffer sizes are now set on incoming Peer sockets.
11-10-2003  1.09.08  DES  RELEASE  Releasing to developer site.
11-07-2003  1.09.08  BED  FIX      Removed CodeWarrior strictest warnings.
11-07-2003  1.09.07  DES  FIX      Updated the linux and PS2 makefiles.
11-04-2003  1.09.06  DES  FEATURE  Added availability check code.
11-03-2003  1.09.05  BED  FIX      Converting email and passwords to Ascii instead of UTF8 now.
                          FIX      Removed misc. strict warnings in sample.
10-29-2003  1.09.04  DES  FEATURE  Pass the gamename to the backend when connecting or searching.
10-21-2003  1.09.03  BED  RELEASE  Releasing to developer site.  (UNIQUE NICK AND UNICODE SUPPORT)
10-21-2003  1.09.03  DES  FEATURE  Updated gptest to handle new connect methods.
10-17-2003  1.09.02  DES  FIX      Changed gptest to use the default GameSpy namespace.
10-16-2003  1.09.01  DES  FIX      The desirednick pased to gpSuggestUniqueNick now has a
                                   length of GP_UNIQUENICK_LEN instead of GP_NICK_LEN.
09-22-2003  1.09.00  DES  FEATURE  Added support for unique nicks.
                          FEATURE  Added support for associating a cdkey with a unique nick.
                          FEATURE  Added a namespaceID parameter to gpInitialize for setting the current namespace.
                          FEATURE  Added gpConnectPreAuthenticated for logging in from a partner system.
                          FIX      Minor internal cleanup and fixes.
09-14-2003  1.08.17  DES  FIX      Removed Unicode defines for gptest debug project.
09-08-2003  1.08.16  BED  FEATURE  Added wrapper for UNICODE support.
07-24-2003  1.08.15  DES  RELEASE  Releasing to developer site.
07-24-2003  1.08.15  DES  CLEANUP  Removed unused gpiSendInfo().
                          CLEANUP  Fixed up NOFILE usage to prevent warnings.
07-18-2003  1.08.14  BED  FEATURE  Added CodeWarrior (PS2) sample project file.
                     BED  CLEANUP  General cleanup to remove CodeWarrior warnings.
07-17-2003  1.08.13  DES  CLEANUP  Cleaned up the PS2 Makefile, it now uses Makefile.commmon.
07-16-2003  1.08.12  BED  FEATURE  Added ProDG sample project files.
07-14-2003  1.08.11  DES  FIX      Changed check for __mips64 to check for _PS2.
07-10-2003  1.08.10  BED  CLEANUP  Changed GP to use GSI_UNUSED for silencing unused variable warnings.
                          CLEANUP  Added newline to end of gpiUtility.c to silence compiler warning.
05-09-2003  1.08.09  DES  CLEANUP  Removed Dreamcast support.
                          FIX      Metrowerks for Win32 is no longer falsely identified as MacOS.
04-08-2003  1.08.08  JED  FIX      Cleanup up code to remove multiple DevStudio level4 compiler warnings
03-26-2003  1.08.07  DES  FIX      gpiDisconnect now checks if sockets are valid before attempting to close them.
03-20-2003  1.08.06  DES  FEATURE  The productID is now reported to the backend on connect.
03-03-2003  1.08.05  DES  CLEANUP  General cleanup to remove warnings.
12-19-2002  1.08.04  DES  RELEASE  Releasing to developer site.
12-19-2002  1.08.04  DES  CLEANUP  Removed assert.h includes.
12-16-2002  1.08.03  DES  FIX      Set listen call to use SOMAXCONN for the backlog paramter.
                          CLEANUP  Removed call to GOAClearSocketError.
12-13-2002  1.08.02  DES  FEATURE  Added PS2 eenet stack support.
                          CLEANUP  Cleaned up code to remove PS2 compiler warnings.
12-11-2002  1.08.01  DES  OTHER    Moved SetSendBufferSize(), GetSendBufferSize(), and GetReceiveBufferSize() to nonport.
09-25-2002  1.08.00  DDW  OTHER    Changelog started
